/**
* Awesome website
* @author YOUR_NAME_HERE
* @version 0.1
*/

/* ============================ RESET ============================ */

*{
	margin: 0;
	padding: 0;
	border: 0;
}

body{
	line-height: 1;
}
ol, ul {
	list-style: none;
}

/* ========================= GENERAL TAGS ======================== */

html{font-family:Helvetica,Arial,Lucida,sans-serif;}
body{background-color:#fff; color:#444; font-size:12px;}

h1, h2, h3, h4, h5, h6{margin-bottom:1em;}
h1, .h1{font-size:3em; color:#dcdcdc;}
h2, .h2{font-size:2em}
h3, .h3{font-size:1.4em}
h4, .h4{font-size:1.2em}
h5, .h5{font-size:1.1em}
h6, .h6{font-size:1em}
p{font-size: 2em;color:#c5c5c5;line-height:1.2em;}
form{font-size: 1.8em;}

a{text-decoration:none; cursor:pointer;}
a:hover, a:focus{text-decoration:none}
a:hover, a:active{outline:none}


/* ======================= GENERIC CLASSES ======================= */
html,body{
	height:100vh;
	width:100%;
}

body{
	overflow-x:hidden;
}



#logo{
	float:left;
	margin-left:35px;
}

#logo img{
	position:relative;
	height: 55px;
    margin-top: 57px;
}

#logo a::after{
    content: 'WEBSITES';
    position: absolute;
    left: 3px;
    bottom: -11px;
    font-size: 1.3em;
    letter-spacing: .79em;
    width: 400px;
	z-index:2;
}



/**/

/*Front page upper*/

h1.front-title{
	font-size:3.5rem;
	letter-spacing:.2em;
	text-align:center;
	padding:0;
	margin:0;
	font-weight:700;
	margin-bottom:30px;
}

h2.front-sub-title{
    font-size: 2em;
    text-align: center;
    padding: 0;
    margin: 0;
    margin-bottom: 2em;
    letter-spacing: 2.4em;
    margin-left: 182px;
    margin-top: -3px;
    position: relative;
	
}
.front-sub-title::before{
    content: '&';
    font-size: 4rem;
    position: absolute;
    top: -20px;
    right: 390px;
	color:#ba5d25;
}


.table h1, h2, p{
	font-weight: 100;
}

.padding-front-p{
	text-align:left;
}

.padding-front-span{
	padding-left:70px;
	display:table;
}

.outer-slide-container::before{
	content:'';
	background-image:url('images/smoke.png');
	position:absolute;
	width:100%;
	height:100%;
	background-repeat:no-repeat;
	background-size:cover;
}

.outer-slide-container {
    position: absolute;
    left: 0;
    top: 0;
	height: 100vh;
    width: 100%;
	min-height:650px;
	overflow:hidden;
}

.center-content-wrap {
    margin: auto;
    width: 100%;
    max-width: 1300px;
	min-height:650px;
	height:100%
}


html body .table {
    display: table;
    width: 80%;
    height: 100%;
	margin:auto;
}

.full-width{
	min-height:650px;
	height:100%
}






html body .table-cell {
    display: table-cell;
    vertical-align: middle;
	min-height:650px;
}

.inner-cell-wrap {
    position: relative;
	display: table-cell;
    vertical-align: middle;
	height:450px;
	width:100vw;
}

.inner-cell-wrap-span{
	padding-left:140px;
}


.padding-front{
    display: table-cell;
    vertical-align: middle;
    padding:0px 60px 0 60px;
	width:100vw;
}

.bracket-left,.bracket-right{
	content:'';
}



.bracket-left::before,.bracket-left::after,.bracket-right::before,.bracket-right::after,
.bracket-left-scroll-horz,.bracket-left-scroll-vert,.bracket-right-scroll-horz,.bracket-right-scroll-vert{
	content: '';
    position: absolute;
    border: 6px solid #db5606;
}

.bracket-right::before,
.bracket-right-scroll-horz
{
	top: 375px;
    bottom: 0rem;
    right: 0rem;
}

.bracket-left::after,
.bracket-left-scroll-vert
{
	top: 0rem;
    left: 0rem;
    right: 85%;
}

.bracket-left::before,
.bracket-left-scroll-horz
{
	bottom: 375px;
    top: 0rem;
    left: 0rem;
}

.bracket-right::after,
.bracket-right-scroll-vert
{
	bottom: 0rem;
    left: 85%;
    right: 0rem;
}

.bracket-left::before{
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
	animation: 2s ease-out 0s 1 slideInFromTop;
}
.bracket-left::after{
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
	animation: 2s ease-out 0s 1 slideInFromRight;
}

.bracket-right::before{
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
	animation: 2s ease-out 0s 1 slideInFromBottom;
}
.bracket-right::after{
    -webkit-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    transition: all .5s ease;
	animation: 2s ease-out 0s 1 slideInFromLeft;
}


.bracket-left-scroll-horz{
    -webkit-transition: all 1.9s ease;
    -moz-transition: all 1.9s ease;
    -ms-transition: all 1.9s ease;
    -o-transition: all 1.9s ease;
    transition: all 1.9s ease;
	transform:translateY(-300px);
	opacity:0;
}
.bracket-left-scroll-vert{
    -webkit-transition: all 1.9s ease;
    -moz-transition: all 1.9s ease;
    -ms-transition: all 1.9s ease;
    -o-transition: all 1.9s ease;
    transition: all 1.9s ease;
	transform:translateX(-300px);
	opacity:0;
}

.bracket-right-scroll-horz{
    -webkit-transition: all 1.9s ease;
    -moz-transition: all 1.9s ease;
    -ms-transition: all 1.9s ease;
    -o-transition: all 1.9s ease;
    transition: all 1.9s ease;
	transform:translateY(+300px);
	opacity:0;
}
.bracket-right-scroll-vert{
    -webkit-transition: all 1.9s ease;
    -moz-transition: all 1.9s ease;
    -ms-transition: all 1.9s ease;
    -o-transition: all 1.9s ease;
    transition: all 1.9s ease;
	transform:translateX(+300px);
	opacity:0;
}

.bracket-active{
	transform:none;
	opacity:1;
}

@media only screen and (max-width: 1080px) {

	.bracket{
		height:240px;
	}
}



@media only screen and (max-width: 770px) {

	.padding-front-p{
		padding-left:0px;
	}

	.padding-front{
		text-align:center;
		padding-left: 20px;
		padding-right: 20px;
	}
	.padding-front-p{
		padding-left:0px;
		text-align:center;
	}
	
	.subSection h1{
		text-align:center;
	}


	html body .table {
		width:95%;
	}
}


@media only screen and (max-width: 450px) {
	.bracket-left, .bracket-right, .bracket-left-scroll-horz,.bracket-left-scroll-vert,.bracket-right-scroll-horz,.bracket-right-scroll-vert{
		display:none;
	}
}


/**/


/*SubSection*/

.sect{
	height: 100%;
	width:100%;
	background-size: cover;
	background-attachment: fixed;
	min-height:650px;
	overflow:hidden;
}

@media (hover: none) {
	.sect{
		background-attachment: initial;
	}
}

.sectOne-overlay{
	background-color:rgba(0,0,0,0.7);
	height:100%;
	}
	.sectTwo-overlay{
	background-color:rgba(0,0,0,0.7);
	height:100%;
	}

.subSection{
	height: 80%;
	min-height:800px;	
}

.subSection .inner-cell-wrap{
	height:unset;
}

.sectOne{background-image: url('images/on-point-web-design.jpg');}
.sectTwo{background-image: url('images/web-hosting.jpg');}
.sectThree{background-image: url('images/on-point-webdesign-services.jpg');}
.sectThree-overlay{
	height:100%;
	width:100%;
	background-color:rgba(5,5,5,.3);
}

.subSection h1{
	color: #242424;
}

.subSection-inner{
	max-width: 1080px;
    margin: auto;
}
.subSection-right, .subSection-left{
	vertical-align: middle;
	height:100%;
}
.subSection-right{
	float: right;
	width: 40%;
}

.subSection p{
padding-right:60px;
color:#575757;
}


.subSection-left{
	float: left;
	width: 58%;
}


@media only screen and (max-width: 980px) {
	.inner-cell-wrap{
		text-align:center;
	}
	.padding-front-span{
		display:unset;
		padding:0;
	}
	.subSection-left{
		width:100%;
	}
	.subSection-left{
		padding-top:40px;
	}
	.subSection-right{
		float:none;
		margin:auto;
	}
	
	.subSection-left p{
		padding:unset;
		text-align:left;
	}
	
	.inner-cell-wrap-span{
		padding: unset;
	}
}

@media only screen and (max-width: 600px) {
	.subSection-right{
		width: 60%;
	}
}

/*Responsive images*/
.responsive-images-1{
	position:absolute;
	top:0;
	left:127px;
	width:200px;
}
.responsive-images-2{
	position:absolute;
	top: 66px;
    left: 0;
	width:215px;
}
.responsive-images-3{
	position:absolute;
    top: 57px;
    left: 279px;
    width: 70px;
}
.responsive-images-4{
	position:absolute;
	top: 106px;
    left: 335px;
    width: 35px;
}

.responsive-images{
	position:relative;
	height:180px;
}




/**/

#pre-footer{
	background-image: url(images/web-design-auckland.png);
    width: 100%;
    height: 325px;
    background-size: 650px;
    background-repeat: no-repeat;
    background-position-y: bottom;
    background-position-x: center;
}

footer{
	background:black;
	width:100%;
    margin-top:-1px;
}

#footer-inner{
	text-align: center;
	width:96%;
    padding-top: 35px;
    padding-bottom: 35px;
	max-width: 1600px;
    margin: auto;
	position:relative;
}

#footer-inner img{
	height:35px;
}

#footer-inner p{
	font-size:18px;
	color:#555;
	font-weight:700;
}

#footer-logo{
    position: relative;
}

#footer-inner span{
	color:#fff;
}

footer p{
	position:absolute;
	left:0;
	line-height:80px;
	width:240px;
	text-align:left;
}

.footer-right{
	position:absolute;
	right:0;
	line-height:80px;
	font-size:18px;
	color:#555;
	font-weight:700;
}

@media only screen and (max-width: 900px) {

#pre-footer{
	background-size:100%;
}
footer p, .footer-right{
	position:unset;
	line-height:unset;
	width:100%;
	text-align:center;
	padding-bottom:30px;
}

#footer-logo{
    position: unset;
	padding-top:27px;
}
}

@media only screen and (max-width: 500px) {

#pre-footer{
	background-size:180%;
}

}
/*Contact Form*/
/* Style inputs with type="text", select elements and textareas */
input[type=text], select, textarea {
    width: 100%; /* Full width */
    padding: 12px; /* Some padding */  
    border: 1px solid #ccc; /* Gray border */
    border-radius: 4px; /* Rounded borders */
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px; /* Add a top margin */
    margin-bottom: 16px; /* Bottom margin */
    resize: vertical; /* Allow the user to vertically resize the textarea (not horizontally) */
	font-family:inherit;
}
.contact-form{
	width:65%;
	margin:auto;
	position;relative;
}
/* Style the submit button with a specific background color etc */
input[type=submit] {
    background-color: #db5606;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
	float:right;
}

/* When moving the mouse over the submit button, add a darker green color */
input[type=submit]:hover {
    background-color: #45a049;
}

/**/